<?php

// POST LIKES
    require_once( get_stylesheet_directory() . '/js/post_likes.php' );
    
// THEME SETTINGS
    require_once( get_stylesheet_directory() . '/theme-settings.php' );
    

// THUMBNAILS, IMAGE SIZES
    add_theme_support( 'post-thumbnails' );
    
    add_image_size( 'home', 740, 300, true);
    add_image_size( 'excerpt', 240, 120, true);
    
    
// MENUS
	register_nav_menus( array(
		'main'	=> 'Primary Menu',
	) );
    
    
// REMOVE THUMBNAILS (FOR SAVING SPACE)
	function remove_default_image_sizes( $sizes) {
        unset( $sizes['large']);
        //unset( $sizes['thumbnail']);
        unset( $sizes['medium']);
        unset( $sizes['medium_large']);
        unset( $sizes['1536x1536']);
        unset( $sizes['2048x2048']);
        return $sizes;
    }
    add_filter('intermediate_image_sizes_advanced', 'remove_default_image_sizes');
    
    add_action( 'after_setup_theme', 'remove_images');
    function remove_images(){
	    remove_image_size( '1536x1536' );
	    remove_image_size( '2048x2048' );
    }
	
	
// WIDGETS
    function register_my_widgets(){
        register_sidebar( array(
	        'name' => 'Main sidebar (Aemy Custom Design)',
            'id' => 'homepage-sidebar',
            'description' => 'Sidebar for the layout by Aemy Design',
            'before_widget' => '<div class="theme_sidebar"><div class="theme_sidebar_title">',
            'after_widget' => '</div></div>',
            'before_title' => '<span>',
            'after_title' => '</span></div><div class="theme_sidebar_content">',
	    ) );
    }
    add_action( 'widgets_init', 'register_my_widgets' );
    
    

add_action( 'wp_enqueue_scripts', 'edcustom8_scripts' );
    function edcustom8_scripts() {
        // SLICKNAV MENU
        wp_register_script( 'edcustom8_mobilemenu1', get_stylesheet_directory_uri() . '/js/adaptive_menu_slicknav/jquery.slicknav.js', '', null, true );
        wp_register_script( 'edcustom8_mobilemenu2', get_stylesheet_directory_uri() . '/js/adaptive_menu_slicknav/slicknav.js', '', null, true );
        
        wp_enqueue_script( 'edcustom8_mobilemenu1' );
        wp_enqueue_script( 'edcustom8_mobilemenu2' );
        
        wp_localize_script( 'edcustom8_mobilemenu1', 'slickmenu', array(
		    'openmenu' => __( 'Open Menu', 'edcustom8' ),
		) ); 
		
    }


// SHORTEN AN EXCERPT
    function get_excerpt( $count ) {
        $permalink = get_permalink($post->ID);
        $excerpt = get_the_content();
        $excerpt = strip_tags($excerpt);
        $excerpt = substr($excerpt, 0, $count);
        $excerpt = substr($excerpt, 0, strripos($excerpt, " "));
        $excerpt = $excerpt.'...';
        return $excerpt;
    }



// SHORTEN POST TITLE
    function trim_title_chars($count, $after) {
        $title = get_the_title();
        if (mb_strlen($title) > $count) $title = mb_substr($title,0,$count);
        else $after = '';
        echo $title . $after;
    }
    
    
// NAVIGATION
    function kama_pagenavi( $before = '', $after = '', $echo = true, $args = array(), $wp_query = null ) {
        if( ! $wp_query ){wp_reset_query();global $wp_query;}

	//

	$default_args = array(
		'text_num_page'   => '', // 
		'num_pages'       => 18, //
		'step_link'       => 0, // 
		'dotright_text'   => '…', //
		'dotright_text2'  => '…', // 
		'back_text'       => '<i class="fa fa-angle-left"></i>', //
		'next_text'       => '<i class="fa fa-angle-right"></i>', // 
		'first_page_text' => '<i class="fa fa-angle-double-left"></i>', // 
        'last_page_text'  => '<i class="fa fa-angle-double-right"></i>', //
	);

	$default_args = apply_filters('kama_pagenavi_args', $default_args );

	$args = array_merge( $default_args, $args );

	extract( $args );

	$posts_per_page = (int) $wp_query->query_vars['posts_per_page'];$paged          = (int) $wp_query->query_vars['paged'];$max_page       = $wp_query->max_num_pages;
    
    if( $max_page <= 1 ) return false; if( empty( $paged ) || $paged == 0 ) $paged = 1;$pages_to_show = intval( $num_pages );$pages_to_show_minus_1 = $pages_to_show-1;$half_page_start = floor( $pages_to_show_minus_1/2 );$half_page_end = ceil( $pages_to_show_minus_1/2 );$start_page = $paged - $half_page_start;$end_page = $paged + $half_page_end;

    if( $start_page <= 0 ) $start_page = 1;if( ($end_page - $start_page) != $pages_to_show_minus_1 ) $end_page = $start_page + $pages_to_show_minus_1;if( $end_page > $max_page ) {$start_page = $max_page - $pages_to_show_minus_1;$end_page = (int) $max_page;}if( $start_page <= 0 )$start_page = 1;$out = '';$link_base = str_replace( 99999999, '___', get_pagenum_link( 99999999 ) );$first_url = get_pagenum_link( 1 );if( false === strpos( $first_url, '?') )$first_url = user_trailingslashit( $first_url );$out .= $before . "";
		
    if ( $back_text && $paged != 1 ) $out .= '<a href="'. ( ($paged-1)==1 ? $first_url : str_replace( '___', ($paged-1), $link_base ) ) .'">'. $back_text .'</a> ';

    if ( $start_page >= 2 && $pages_to_show < $max_page ) {
			$out.= '<a href="'. $first_url .'">'. ( $first_page_text ? $first_page_text : 1 ) .'</a> ';
    if( $dotright_text && $start_page != 2 ) $out .= '<span>'. $dotright_text .'</span> ';}

    if( $text_num_page ){$text_num_page = preg_replace( '!{current}|{last}!', '%s', $text_num_page );$out.= sprintf( "<span>$text_num_page</span>", $paged, $max_page );}

    for( $i = $start_page; $i <= $end_page; $i++ ) {if( $i == $paged )$out .= '<span>'.$i.'</span> ';elseif( $i == 1 )$out .= '<a href="'. $first_url .'">1</a> ';else $out .= '<a href="'. str_replace( '___', $i, $link_base ) .'">'. $i .'</a> ';} $dd = 0;

    if ( $step_link && $end_page < $max_page ){for( $i = $end_page+1; $i<=$max_page; $i++ ) {if( $i % $step_link == 0 && $i !== $num_pages ) {if ( ++$dd == 1 ) $out.= '<span>'. $dotright_text2 .'</span> ';$out.= '<a href="'. str_replace( '___', $i, $link_base ) .'">'. $i .'</a> ';}}}

    if ( $end_page < $max_page ) {if( $dotright_text && $end_page != ($max_page-1) ) $out.= '<span>'. $dotright_text2 .'</span> ';$out.= '<a href="'. str_replace( '___', $max_page, $link_base ) .'">'. ( $last_page_text ? $last_page_text : $max_page ) .'</a> ';}

    if ( $next_text && $paged != $end_page ) $out.= '<a href="'. str_replace( '___', ($paged+1), $link_base ) .'">'. $next_text .'</a> ';$out .= "". $after ."\n";$out = apply_filters('kama_pagenavi', $out );if( $echo )return print $out;return $out;
    }
    
    
// VIEWS
    add_action('wp_head', 'kama_postviews');
    function kama_postviews() {
        $meta_key       = 'views'; // meta_key
        $who_count      = 1; // 0 - everyone; 1 - only guests; 2 - only registered
        $exclude_bots   = 1; // 0 - bots are counted; 1 - bots are not counted

        global $user_ID, $post;
	        if(is_singular()) {
		        $id = (int)$post->ID;
		        static $post_views = false;
		        if($post_views) return true;
		        $post_views = (int)get_post_meta($id,$meta_key, true);
		        $should_count = false;
		        
		        switch( (int)$who_count ) {
			        case 0: $should_count = true;
				    break;
			        case 1:
				        if( (int)$user_ID == 0 )
					    $should_count = true;
				    break;
			        case 2:
				        if( (int)$user_ID > 0 )
					    $should_count = true;
				    break;
		        }
		        
		        if( (int)$exclude_bots==1 && $should_count ){
			        $useragent = $_SERVER['HTTP_USER_AGENT'];
        			$notbot = "Mozilla|Opera";
			        $bot = "Bot/|robot|Slurp/|yahoo";
			        if ( !preg_match("/$notbot/i", $useragent) || preg_match("!$bot!i", $useragent) )
				    $should_count = false;
		        }
		        
		        if($should_count)
			    if( !update_post_meta($id, $meta_key, ($post_views+1)) ) add_post_meta($id, $meta_key, 1, true);
			    
			    $post_views = '';

        if( (int) $post_views > 1000 ){
	    $post_views = number_format( $post_views/1000, 1, '.', '' ) .'К';
    }

    echo $post_views;
	        }
	        return true;
    }
    
    
    
// SHOW PRIMARY CATEGORY
function primary_category() {$category = get_the_category(); $useCatLink = true;if ($category){ $category_display = ''; $category_link = '';if ( class_exists('WPSEO_Primary_Term') ){$wpseo_primary_term = new WPSEO_Primary_Term( 'category', get_the_id() );$wpseo_primary_term = $wpseo_primary_term->get_primary_term();$term = get_term( $wpseo_primary_term );if (is_wp_error($term)) {$category_display = $category[0]->name;$category_link = get_category_link( $category[0]->term_id );} else {$category_display = $term->name;$category_link = get_category_link( $term->term_id );} } else {$category_display = $category[0]->name;$category_link = get_category_link( $category[0]->term_id );}if ( !empty($category_display) ){ if ( $useCatLink == true && !empty($category_link) ){ echo ''; echo ' '.($category_display).' '; echo '';} }} }

?>